package com.ruoyi.project.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 稿件对象 trs_article_info
 * 
 * @author ruoyi
 * @date 2025-03-20
 */
public class TrsArticleInfoVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标识 */
    @Excel(name = "标识")
    private Long record;


    /** 地址 */
    @Excel(name = "地址")
    private String url;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRecord(Long record) 
    {
        this.record = record;
    }

    public Long getRecord() 
    {
        return record;
    }


    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("record", getRecord())
            .append("url", getUrl())
            .append("content", getContent())
            .toString();
    }
}
